<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="box post-content">
		<div class="entry-title">
			<time class="entry-date" datetime="<?php echo get_the_date( 'c' ); ?>" pubdate>
				<?php _e('Posted on','wedding'); ?>: <?php echo get_the_date(); ?>
			</time>
		</div>
		<div class="entry-content">
			<?php $quote_content = true; ?>
			<?php $quote_text = '<p>'.get_post_meta($post->ID, 'post_format_quote_text_field', true).'</p>'; ?>
			<?php $quote_from = get_post_meta($post->ID, '_format_quote_source_name', true); ?>
			<?php 
				if ($quote_from) {
					$quote_text = get_the_content();
					$quote_content = false;
				}	
			?>
			<?php if (!$quote_from) $quote_from = get_post_meta($post->ID, 'post_format_quote_from_field', true); ?>
			<?php $quote_link = get_post_meta($post->ID, '_format_quote_source_url', true); ?>
			
			<?php if($quote_text): ?>
			<blockquote>
				<?php echo $quote_text; ?>
				<?php if($quote_from): ?>
					<p>
						<?php if($quote_link): ?><a href="<?php echo $quote_link; ?>" target="_blank"><?php endif; ?>
							<em><?php echo $quote_from; ?></em>
						<?php if($quote_link): ?></a><?php endif; ?>
					</p>
				<?php endif; ?>
			</blockquote>
			<?php endif; ?>

			<?php if ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink(); ?>" class="featured_img left">
					<?php the_post_thumbnail('thumbnail'); ?>
					<span class="shadow"></span>
				</a>
			<?php } ?>
			<?php if ( is_search() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
				<?php if($quote_content): ?><?php the_content(); ?><?php endif; ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
			<?php endif; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="entry-meta">
		<?php wedding_post_meta(); ?>
	</div>
	<div class="clear"></div>
</article>