jQuery(document).ready(function($) {

	//Settings API Heading Correction(add colspan, because we will use the td column for the heading title, we don't need the TH before that)
	$('h4.heading').parent().addClass('heading_row').attr('colspan','2').parent().find('th').remove();

	//Move the subtitle field below the title field
	$('#page_subtitle_meta').insertAfter('#titlewrap');
	
	//Move the post format options metabox below the post format select metabox
	$('#post_format_additionals').insertAfter('#post-formats-select');
	
	//Post Format Selector Additional Options
	$('#post-formats-select input').change(function(){
		var type = $(this).val();
		if (type == 0) type = 'default';
		$('#post_format_additionals p').hide();
		$('#post_format_additionals p#post-type-'+type).show();
	});
	$('#post-formats-select input[checked="checked"]').change();
	//Post Format Selector Additional Options
	
	//Options Tabs
	$('#wedding_options .ui-tabs-nav a').click(function(){
		var hash = $(this).attr('href').split('#')[1];
		window.location.hash = hash;
	});
	
	if ($('#wedding_options').length) {
		var hash = window.location.hash;
		if (hash) {
			$('#wedding_options .ui-tabs-nav a[href="#'+hash+'"]').trigger('click');
		}
	}
	//Options Tabs
	
	//Sidebars generator
	$('.add_sidebar').click(function(){
		$(this).prev().clone().insertAfter($(this).prev()).find('input').val('');
		return false;
	});
	
	$(document).on('click', '.custom_sidebar_row a.remove', function(){
		$(this).parent().remove();
		return false;
	});
	//Sidebars generator
	
	//Page Template Selector
	if($('#page_template').length) {
		$('#page_template').hide().after('<div id="page_template_visual"></div>');
                
		$('#page_template option').each(function(){
			var classname = $(this).val().replace('.php', '').replace('/', '-');
			if ($(this).is("[selected]")) {
				classname = classname+' selected';
			}
			$('#page_template_visual').append('<a href="'+$(this).val()+'" class="'+classname+'"><small></small>'+$(this).text()+'</a>');
			
			
		});
                
		if (!$('#page_template option[selected]').length) {
			$('#page_template_visual a:first-child').addClass('selected');

				$('#page_custom_sidebar_meta').hide();
			
		}
		
		$(document).on('click', '#page_template_visual a', function(){
			$('#page_template_visual a').removeClass('selected');
			theValue = $(this).addClass('selected').attr('href');
			$("#page_template").val( theValue ).attr('selected',true);
			
			if (theValue.indexOf("left") >= 0 || theValue.indexOf("right") >= 0) {
				$('#page_custom_sidebar_meta').show();
			} else {
				$('#page_custom_sidebar_meta').hide();
			}
			
			if (theValue.indexOf("contact") >= 0) {
				$('#contact_form_google_map_meta').show();
			} else {
				$('#contact_form_google_map_meta').hide();
			}
			
			if (theValue.indexOf("front") >= 0 || theValue.indexOf("single-page") >= 0) {
				$('#homepage_slider_meta').show();
			} else {
				$('#homepage_slider_meta').hide();
			}
			
			if (theValue.indexOf("timeline") >= 0) {
				$('#timeline_category_meta').show();
			} else {
				$('#timeline_category_meta').hide();
			}
			
			return false;
		});
		
		var selected_href = $('#page_template_visual a.selected').attr('href');
			
		if (selected_href.indexOf("contact") >= 0) {
			$('#contact_form_google_map_meta').show();
		} else {
			$('#contact_form_google_map_meta').hide();
		}
		
		if (selected_href.indexOf("front") >= 0 || selected_href.indexOf("single-page") >= 0) {
			$('#homepage_slider_meta').show();
		} else {
			$('#homepage_slider_meta').hide();
		}
		
		if (selected_href.indexOf("sidebar") >= 0) {
			$('#page_custom_sidebar_meta').show();
		} else {
			$('#page_custom_sidebar_meta').hide();
		}
		
		if (selected_href.indexOf("timeline") >= 0) {
			$('#timeline_category_meta').show();
		} else {
			$('#timeline_category_meta').hide();
		}
		            
	}
	//Page Template Selector	

});