<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="box post-content">
		<div class="entry-title">
			<h1>
				<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wedding' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h1>
			<time class="entry-date" datetime="<?php echo get_the_date( 'c' ); ?>" pubdate>
				<?php _e('Posted on','wedding'); ?>: <?php echo get_the_date(); ?>
			</time>
		</div>
		
		<?php
		$att_args = array(
			'post_type'	     => 'attachment',
			'numberposts'    => -1,
			'post_status'    => null,
			'post_parent'    => $post->ID,
			'post_mime_type' => 'image',
			'orderby'        => 'menu_order'
		);
		$attachments = get_posts( $att_args );
		
		if( $attachments ): ?>
		<div class="entry-banner">
		
			<div class="weddingSlider" style="width: 100%; height: 300px;" data-autoplay="true" data-autoplaydelay="5000">
				<?php foreach( $attachments as $attachment ): ?>
					<?php $attachment_img = wp_get_attachment_image_src( $attachment->ID ,'large'); ?>
					<div class="ls-layer" style="transition2d: 1;">
						<img class="ls-bg" src="<?php echo $attachment_img[0]; ?>" />
						<a href="<?php the_permalink(); ?>" class="ls-link" target="_blank"></a>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
		<?php endif; ?>
		
		<div class="entry-content">
			<?php if ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink(); ?>" class="featured_img left">
					<?php the_post_thumbnail('thumbnail'); ?>
					<span class="shadow"></span>
				</a>
			<?php } ?>
			<?php if ( is_search() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
			<?php endif; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="entry-meta">
		<?php wedding_post_meta(); ?>
	</div>
	<div class="clear"></div>
</article>